> For the complete documentation index, see [llms.txt](https://docs.justaname.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.justaname.id/api/api-reference.md).

# API reference

- [Siwe](https://docs.justaname.id/api/api-reference/siwe.md): Authentication via SIWE: Authenticate users using the Sign-In with Ethereum (SIWE) protocol.
- [Request challenge](https://docs.justaname.id/api/api-reference/siwe/request-challenge.md)
- [Verify message](https://docs.justaname.id/api/api-reference/siwe/verify-message.md)
- [Mapp](https://docs.justaname.id/api/api-reference/siwe/mapp.md)
- [Add permission](https://docs.justaname.id/api/api-reference/siwe/mapp/add-permission.md)
- [Append field](https://docs.justaname.id/api/api-reference/siwe/mapp/append-field.md)
- [Revoke permission](https://docs.justaname.id/api/api-reference/siwe/mapp/revoke-permission.md)
- [Subname](https://docs.justaname.id/api/api-reference/subname.md): Subname Management: Reserve, accept, add, update, and revoke ENS subnames.
- [Accept](https://docs.justaname.id/api/api-reference/subname/accept.md)
- [Reserve](https://docs.justaname.id/api/api-reference/subname/reserve.md)
- [Add](https://docs.justaname.id/api/api-reference/subname/add.md)
- [Update](https://docs.justaname.id/api/api-reference/subname/update.md)
- [Revoke](https://docs.justaname.id/api/api-reference/subname/revoke.md)
- [Reject](https://docs.justaname.id/api/api-reference/subname/reject.md)
- [Subname](https://docs.justaname.id/api/api-reference/subname/subname.md)
- [Ens](https://docs.justaname.id/api/api-reference/subname/ens.md)
- [Address](https://docs.justaname.id/api/api-reference/subname/address.md)
- [Records](https://docs.justaname.id/api/api-reference/subname/records.md)
- [Available](https://docs.justaname.id/api/api-reference/subname/available.md)
- [Search](https://docs.justaname.id/api/api-reference/subname/search.md)
- [Primary name](https://docs.justaname.id/api/api-reference/primary-name.md): Primary Name Management: Manage primary ENS names associated with Ethereum addresses.
- [Address](https://docs.justaname.id/api/api-reference/primary-name/address.md)
- [Set primary name](https://docs.justaname.id/api/api-reference/primary-name/set-primary-name.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.justaname.id/api/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
